Error with large integers (graphql)
Status: In Progress Start date: 06/02/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Eg: when the id of a feature is more than 2147483647 (graphene.types.scalars.MAX_INT), the information isn't displayed.

See https://docs.graphene-python.org/en/latest/types/scalars/ for a discussion: there's a confusion between the graphql Int specs

(max: 2**32 - 1) and the IEEE Int spec (2**53 - 1)

Associated revisions

Revision 1aefad05 - 22/08/2019 01:44 - Philippe May

Use strings for id (Refs #7584)

History

#1 - 21/08/2019 09:53 - Philippe May

This same issue impacts the selection and plugins tool, obviously, because they all use graphql fetched data. With plugins, a simple workaround was

to use a string type for ids.

#2 - 20/09/2019 10:52 - Philippe May

- Status changed from New to In Progress
